/*******************************************************************************
 * Copyright (C) 2009
 * by 52 North Initiative for Geospatial Open Source Software GmbH
 * 
 * Contact: Andreas Wytzisk
 * 52 North Initiative for Geospatial Open Source Software GmbH
 * Martin-Luther-King-Weg 24
 * 48155 Muenster, Germany
 * info@52north.org
 * 
 * This program is free software; you can redistribute and/or modify it under
 * the terms of the GNU General Public License version 2 as published by the
 * Free Software Foundation.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program (see gnu-gpl v2.txt). If not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA or
 * visit the Free Software Foundation web page, http://www.fsf.org.
 ******************************************************************************/

package org.n52.security.authentication;

import org.dom4j.DocumentFactory;
import org.dom4j.Element;
import org.dom4j.Node;
import org.dom4j.QName;
import org.n52.security.common.util.XMLUtilsDom4j;

/**
 *
 */
public class PasswordAuthenticationMethod implements AuthenticationMethod {

    /**
     * URN identifying this method. 
     */
    public static final String URN = "urn:opengeospatial:authNMethod:OWS:1.0:password";

    /* (non-Javadoc)
    * @see org.n52.security.was.AuthenticationMethod#getURN()
    */
    public String getURN() {
        return URN;
    }

    /* (non-Javadoc)
     * @see org.n52.security.was.AuthenticationMethod#asDom4J()
     */
    public Node asDom4J() {
        DocumentFactory lFac = XMLUtilsDom4j.getDocFactory();
        Element lAuthnMethElem = lFac.createElement(new QName("AuthenticationMethod", XMLUtilsDom4j.sAuthnNamespace));
        lAuthnMethElem.addAttribute(new QName("type", XMLUtilsDom4j.sXsiNamespace), "authn:PasswordType");
        lAuthnMethElem.addAttribute("method", getURN());

        return lAuthnMethElem;
    }

}
