/*******************************************************************************
 * Copyright (C) 2009
 * by 52 North Initiative for Geospatial Open Source Software GmbH
 * 
 * Contact: Andreas Wytzisk
 * 52 North Initiative for Geospatial Open Source Software GmbH
 * Martin-Luther-King-Weg 24
 * 48155 Muenster, Germany
 * info@52north.org
 * 
 * This program is free software; you can redistribute and/or modify it under
 * the terms of the GNU General Public License version 2 as published by the
 * Free Software Foundation.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program (see gnu-gpl v2.txt). If not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA or
 * visit the Free Software Foundation web page, http://www.fsf.org.
 ******************************************************************************/

package org.n52.security.decision;


/**
 * Class DecisionProcessingException represents an error during the processing of a policy decision.
 * <p/>
 * It is only valid to throw this type of exception
 * if the decision can not be maked caused of a wrong request document or not understand attributes.
 *
 * @author Marko Reiprecht
 *         Created on 10.09.2007
 * @version $Revision: $
 */
public class DecisionProcessingException extends RuntimeException {

    /**
     * Contains the serialVersionUID.
     */
    private static final long serialVersionUID = 6157629448999204481L;


    /**
     * Constructor DecisionProcessingException creates a new DecisionProcessingException instance
     * with a message, identifying the reason of the exception.
     *
     * @param message of type String
     */
    public DecisionProcessingException(final String message) {
        super(message);
    }

    /**
     * Constructor DecisionProcessingException creates a new DecisionProcessingException instance
     * with the underlying exception identifying the reason of the exception.
     *
     * @param cause of type Throwable
     */
    public DecisionProcessingException(final Throwable cause) {
        super(cause);
    }

    /**
     * Constructor DecisionProcessingException creates a new DecisionProcessingException instance
     * with a customized message and the underlying excepion identifying the reason of the exception.
     *
     * @param message of type String
     * @param cause   of type Throwable
     */
    public DecisionProcessingException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
